> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/88.-mutation-zonesmap-als-gezippte-shapefile-exportieren.md).

# 88. Mutation: ZonesMap als gezippte Shapefile exportieren

Erzeuge ein ZIP-Archiv mit der ausgewählten "ZonesMap" als Shapefile.

{% hint style="info" %}
Das Archiv besteht aus \*.shp, \*.shx, \*.prj, \*.dbf Dateien in EPSG:4326.
{% endhint %}

### 1. Vorbereitung

* Das Attribut `vectorAnalysisMaps` enthält ein Array von ZonesMaps (VectorAnalysisMaps)-Objekten, die exportiert werden sollen. Jedes solche Objekt enthält ein Paar von `fieldUuid` (Verknüpfung zum ausgewählten Feld) und `uuid` (Verknüpfung zur ausgewählten ZonesMap).
* Das boolesche Attribut `asMultiGeometry` bestimmt, ob Zonen als `Polygone` oder `MultiPolygone` (wenn gesetzt auf `true` ).
* Das boolesche Attribut `onlyProductColumns` gibt an, ob nur Spalten mit Produkten (RX) in die Shapefile aufgenommen werden sollen (wenn `true`). Andernfalls werden alle statistischen Attribute und Zonen-IDs als Spalten eingeschlossen.
* Das Attribut `archiveName` enthält den Namen des erzeugten ZIP-Archivs.
* Das Attribut `filePostfix` ermöglicht das Hinzufügen benutzerdefinierter Postfixe zu den exportierten Dateien und dem Archiv.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Herunterladen des erzeugten Archivs

Nach Ausführung der GraphQL-Abfrage kann es mit `curl` oder einem ähnlichen Verfahren heruntergeladen werden.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/88.-mutation-zonesmap-als-gezippte-shapefile-exportieren.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
